For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Platform
    • Introduction
    • Screenings
    • Immigration
  • Endpoints
      • POSTCreate child organization
      • GETGet Current Organization
LogoLogo
SupportDeel Home
EndpointsOrganizations

Create child organization

POST
/organizations/children
POST
/rest/v2/organizations/children
$curl -X POST https://api.letsdeel.com/rest/v2/organizations/children \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "child_organization": {
> "name": "ACME INC."
> },
> "parent_organization": {}
> }
>}'
1{
2 "data": {
3 "id": "7cdadbfa-3f9e-4e81-95d4-d40d0cab74be",
4 "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiYWRtaW4iOnRydWUsImlhdCI6MTUxNjIzOTAyMn0.KMUFsIDTnFmyG3nMiGM6H9FNFUROf3wh7SmqJp-QV30",
5 "created_at": "2025-07-06T19:51:54.000Z",
6 "updated_at": "2025-07-06T19:51:54.000Z"
7 }
8}
Creates a child organization linked to the authenticated (parent) organization, provisioning a scoped API token, a default group, the parent–child hierarchy, and an initial user assignment in a single operation. The `token` in the response is the only time the child organization's API token is returned and must be stored by the caller. **Token scopes**: `organizations:write`
Was this page helpful?
Previous

Get Current Organization

Next
Built with

Creates a child organization linked to the authenticated (parent) organization, provisioning a scoped API token, a default group, the parent–child hierarchy, and an initial user assignment in a single operation. The token in the response is the only time the child organization’s API token is returned and must be stored by the caller. Token scopes: organizations:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects an object.
dataobjectRequired
The request payload.

Response

Operation successful. The child organization was created successfully.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication